version: "3"

services:
  www:
    restart: always
    image: nginx
    tty: true
    stdin_open: true
    volumes:
      - ./sources:/var/www/html
      - ./conf/nginx/www.conf:/etc/nginx/conf.d/default.conf
      - ./conf/nginx/nginx.conf:/etc/nginx/nginx.conf
    depends_on:
      - php-fpm
    ports:
      - 8088:80
    networks:
      - default
  php-fpm:
    restart: always
    build:
      context: ./conf/php-fpm-prod
    volumes:
      - ./sources:/var/www/html
    expose:
      - 9000
    networks:
      - default
  composer:
    restart: 'no'
    image: prooph/composer:7.1
    command: install
    volumes:
      - ./sources:/app
  postbacks:
    restart: always
    build:
      context: conf/postback
    volumes:
      - ./sources:/var/www/html
    networks:
      - default
  rabbitmq:
    restart: always
    image: rabbitmq:3.7-management
    hostname: rabbitmq
    ports:
      - "15672:15672"
    environment:
      - RABBITMQ_DEFAULT_USER=rabbituser
      - RABBITMQ_DEFAULT_PASS=rabbitpassword
networks:
  default:
    driver: bridge